//*****************************************************************************
// File Name            : helloworld.c
//-----------------------------------------------------------------------------
// Function             : for MicroBlaze MCS
//
//-----------------------------------------------------------------------------
// Designer             : yokomizo
//-----------------------------------------------------------------------------
// History
// -.-- 2015/06/18
//*****************************************************************************
#include <stdio.h>
#include "platform.h"
#include "xbasic_types.h"
#include "XIOModule.h"
int main()
{   int i;
    volatile int cnt;
    u32 uDevId = XPAR_IOMODULE_0_DEVICE_ID;
    XIOModule mcsIOMdule;
    init_platform();
    //MicroBlaze MCS IOModule Initialize
    XIOModule_Initialize(&mcsIOMdule, uDevId);
    //UART
    print("Hello World\n\r");
    //set GPO1
    for(i=0;i<256;i++){
      //set GPO1
      XIOModule_DiscreteWrite(&mcsIOMdule, 1,i);
      for(cnt=0;cnt<10000000;cnt++);
    }
    cleanup_platform();
    return 0;
}
